/*
 * Globals
 */

/*putting x after root instead of commenting out, to allow comments within*/

@import "../jqueryui-1-12-1/jquery-ui.css";


/*colors selected from Andrew's*/
:root {
  --color1: white;
  --color2: #0F2039;
  --color3: #1864CC;
  --color4: #BFD6FC;
  --color5: #FFAF00;
}

/*as for a long time*/
/*
:root {
  --color1: white;
  --color2: #12204A;
  --color3: #233F94;
  --color4: #BFD6FC;
  --color5: #FF6601;
}
*/


/*structdejoe*/
:root {	
  --bgBg: var(--color1); /*mainly nav*/
  --logoOne: var(--color3);
  --logoTwo: var(--color3);
  --navText: var(--color2);
  --navUnderborderHere: var(--color2); /*may not use*/
  --navUnderborderElsewhere: var(--color5); /*may not use*/
  --bgA: var(--color1);
  --h1A: var(--color3);
  --h2A: var(--color2);
  --textA: var(--color2);
  --linkA: var(--color5); /*changing below*/
  --btnBgA: var(--color5);
/*  --btnTextA: var(--color1);*/
  --btnTextA: var(--color2);
  --raisedQuotA: var(--color3); /*may not use*/
  --highlightsA: var(--color3); /*may not use*/
  --bgB: var(--color3);
  --h1B: var(--color1);
  --h2B: var(--color4);
  --textB: var(--color1);
  --linkB: var(--color5); /*changing below*/
  --btnBgB: var(--color5);
  --btnTextB: var(--color1);
  --btnTextB: var(--color2);
  --raisedQuotB: var(--color1); /*may not use*/
}


:root {
  --linkA: var(--textA); /*using underline*/
  --linkB: var(--textB); /*using underline*/

  --subBoxBBg: var(--bgB);
  --subBoxBText: var(--textB);
  --subBoxBH1: var(--h1B);
  --subBoxBH2: var(--h1B);
  --subBoxBLink: var(--linkB);
  --subBoxBBtnBg: var(--btnBgB);
  --subBoxBBtnText: var(--btnTextB);
  --moreSubBoxBBg: var(--subBoxBBg);
  --moreSubBoxBText: var(--subBoxBText);
  --moreSubBoxBH1: var(--subBoxBH1);
  --moreSubBoxBH2: var(--subBoxBH2);
  --moreSubBoxBLink: var(---subBoxBLink);
  --moreSubBoxBBtnBg: var(--subBoxBBtnBg);
  --moreSubBoxBBtnText: var(--subBoxBBtnText);

  --boxLinkBgA: #f4f4f4;
  --boxLinkHovBgA: var(--bgA);

  --boxLinkBgB: var(--bgB);
  --boxLinkHovBgB: var(--color2);
  --boxLinkHovTextB: var(--color1);
	
  --theRed: #dc3545;  /*red and green are used in js in uwssf.html and in uwssf.css*/
  --theGreen: #28a745;	


}


.navbar-dark .navbar-nav .active>.nav-link, .navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .nav-link.show, .navbar-dark .navbar-nav .show>.nav-link, .navbar-light .navbar-nav .active>.nav-link{
  color: var(--navText);
}

/*adding Apr 8, 2021 for logo above image. May then remove for smaller logo.                  */
/*
#topImage{
	padding-top: 35px;
}
*/

/*
p, li {
	font-size: 100%;
}
*/

.spaced-list-item-first {
	padding-bottom: .25rem;
}

.spaced-list-item {
	padding-top: .25rem;
	padding-bottom: .25rem;
}

.spaced-list-item-last {
	padding-top: .25rem;
}


.minor {
	font-size: .8rem;
}

a,
a:focus,
a:hover {     /*look for .clickable and .regulara for handling a in some circumstances*/
	text-decoration: underline;
/*	color: inherit;*/
}

hr {
  border-top: 1px; 
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  margin-left: auto;
  margin-right: auto;
  border-style: inset;
  border-width: 1px;
}

h1{
	font-size: 2rem;
}

h2{
	font-size: 1.6rem;
}

h3 {
	font-size:1.3rem;
}

.display-3 {
	font-size: 3.6rem;
}

.display-4 {
	font-size: 2.8rem;
}

/*extra-small*/
@media (max-width: 576px) {
	.display-3 {
		font-size: 2.7rem;
	}

	.display-4 {
		font-size: 2.0rem;
	}
}



.moreonthat {
	background-color: inherit;
	padding: 2rem;
}


div.bigBoxA div h1 {
	color: var(--h1A);
}

div.bigBoxB div h1 {
	color: var(--h1B);
}

div.subBoxB div h1 {
	color: var(--subBoxBH1);
}

div.bigBoxA div h2 {
	color: var(--h2A);
}

div.bigBoxB div h2 {
	color: var(--h2B);
}

div.subBoxB div h2 {
	color: var(--subBoxBH2);
}

div.bigBoxA div a {
	color: var(--linkA);
}

div.bigBoxB div a {
	color: var(--linkB);
}

div.subBoxB div a {
	color: var(--subBoxBLink);
}

.navbar .btn-primary:hover {
  color: var(--btnTextA);
  background-color: var(--btnBgA);
  border: .1rem solid var(--btnBgA);
  text-decoration: none;
}

.navbar .btn-primary {
  color: var(--textA);
  background-color: inherit;
  border: .1rem solid var(--btnBgA);
  text-decoration: none;
}

div.bigBoxA .btn-primary {
  color: var(--btnTextA);
  background-color: var(--btnBgA);
  border: .1rem solid var(--btnBgA);
  text-decoration: none;
}

div.bigBoxA .btn-primary:enabled:hover {
  color: var(--textA);
  background-color: inherit;
  border: .1rem solid var(--btnBgA);
  text-decoration: none;
}

div.bigBoxB .btn-primary {
  color: var(--btnTextB);
  background-color: var(--btnBgB);
  border: .1rem solid var(--btnBgB);
  text-decoration: none;
}

div.bigBoxB .btn-primary:enabled:hover {
/*  color: var(--btnTextB);*/
  color: var(--textB);
  background-color: inherit;
  border: .1rem solid var(--btnBgB);
  text-decoration: none;
}

.form-check {
	font-size: 1.2rem;
	padding-top: 1.2rem;
	padding-bottom: 1.2rem;
}

#volunteerBox {
  -ms-transform: scale(1.5); /* IE */
  -moz-transform: scale(1.5); /* FF */
  -webkit-transform: scale(1.5); /* Safari and Chrome */
  -o-transform: scale(1.5); /* Opera */
  transform: scale(1.5);
  margin-top: .55rem;
}

.ajax-loading {
	display: none;
}

.boxLink, .boxLink:hover, .boxNoLink, .boxNoLink:hover {
		text-decoration: none;
	}

/*Small & XSmall devices (tablets, 768px and up)*/
@media (max-width: 767px) {
	.boxLink h1.noBoxSmall {
		text-decoration: underline;
	}
}

.letKnowNotDone {
	color: var(--color5);
}

/*Medium devices + (tablets, 768px and up)*/
@media (min-width: 768px) {
	.bigBoxA .boxLink, .bigBoxA .boxLink:hover, .boxNoLink, .boxNoLink:hover {
		text-decoration: none;
		border-color: var(--boxLinkBgA);
		border-style: solid;
	}

	.bigBoxA .boxLink, .boxNoLink, .boxNoLink:hover {
		background-color: var(--boxLinkBgA);
	}

	.bigBoxA .boxLink:hover {
		background-color: var(--boxLinkHovBgA);
	}

	.bigBoxB .boxLink, .bigBoxB .boxLink:hover, .boxNoLink, .boxNoLink:hover {
		text-decoration: none;
		border-color: var(--boxLinkHovBgB);
		border-style: solid;
	}

	.bigBoxB .boxLink, .boxNoLink, .boxNoLink:hover {
		background-color: var(--boxLinkBgB);
	}

	.bigBoxB .boxLink:hover {
		background-color: var(--boxLinkHovBgB);
		color: var(--boxLinkHovTextB);
	}

}


.btn { 
/*	font-size: 1.25rem;*/
	font-size: 1rem;
	margin-top: 1.2rem;
}

.btn.btn-lg {
/*	font-size: 1.5rem;*/
	font-size: 1.2rem;
	margin-top: 1.2rem;
}

.clickable, .targetNotDone {
  cursor: pointer;
}

.boxNoLink {
	cursor: default;
}

a.clickable.regulara,
a.clickable.regulara:hover {
	text-decoration: underline;
}

html,
body, 
#likenav,
.navbar {
	scroll-behavior: smooth;
/*	font-family: 'Kanit';*/
	font-family: bilo, sans-serif;
	font-weight: 500;
	font-style: normal;
	background-color: var(--bgBg);
}

#paid4by {
	padding: 5px;;
	border-style: solid;
	border-width: 1px;
	text-align: center;
}

#dpgNameTop,
#forCouncilTop {
/*
	font-family: 'Kanit';
	font-weight: 500;
	font-style: normal;	
*/
/*trying to get rid of logo blur on zoom*/
/*
	filter: blur(0);
	-webkit-filter: blur(0);
	transform: translateZ(0);
	-webkit-transform: translateZ(0);	
*/
/*	image-rendering: -webkit-optimize-contrast;	*/
/*
	font-family: freehouse,serif;
	font-weight: 400;
	font-style: normal;
*/
}



html {
	font-size: 20px;
}

body {
  padding-top: 5rem;
  display: -ms-flexbox;
  display: flex;
/*  font-size: 20px;*/
}


#likenav {
  padding-bottom: 1.2rem;
}

.bigBoxA {
  background-color: var(--bgA);
  color: var(--textA);
}

.bigBoxB {
  background-color: var(--bgB);
  color: var(--textB);
}

.subBoxB {
	background-color: var(--subBoxBBg);
	color: var(--subBoxBText);	
}


.font-weight-normal {
  font-weight: 200;
}

.cover-container {
  /*max-width: 42em;*/
  /*max-width: 90em;*/
}

div.card.card-body {
	background-color: var(--btnBgA);
	margin-top: 1.5rem;
}

/*
 * Header
 */
.masthead {
  margin-bottom: 2rem;
}

.masthead-brand {
  margin-bottom: 0;
  padding-top: 1%;
  line-height: 150%;
}

.highlight {
	color: var(--logoTwo)
}

#menuitems {
  align-items: right;
}

.nav-masthead .nav-link, a.nav-link {
  padding: .25rem 0;
  font-weight: 400;
  font-size: 1 rem;
/*  font-size: 1.3rem;*/
  /*font-weight: 700;*/
  color: var(--navText);
  background-color: transparent;
  border-bottom: .25rem solid transparent;
  text-decoration: none;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  /*color: rgba(255,255,255,.75);*/
   /*border-bottom-color: rgba(255, 255, 255, .25);*/
}

.nav-masthead .nav-link + .nav-link {
  margin-left: 1.5rem;
}

.nav-masthead .active {
  color: var(--navText);
  border-bottom-color: var(--navText);
}



/*logoish font size set for extra-small and made bigger below with media call*/
#dpgNameTop {
  text-transform: uppercase;
  font-weight: 900;
/*  font-size: 2.5rem;*/
  font-size: 2rem;
  color: var(--logoOne);
}
#forCouncilTop {
  font-weight: 200;
/*  font-size: 2.1rem;*/
  font-size: 1.7rem;
  color: var(--logoTwo);
}


/*Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
	.boxLink	
}


/*landscape phones and bigger, i.e., not extra-small*/
@media (min-width: 576px) {
	#dpgNameTop {
/*	  font-size: 3rem;*/
	  font-size: 2.4rem;
	}
	#forCouncilTop {
/*	  font-size: 2.6rem;*/
	  font-size: 2.1rem;
	}	
}


@media (min-width: 48em) {
  .masthead-brand {
    float: left;
  }
  .nav-masthead {
    float: right;
  }
}


/*
 * Cover
 */
.inner {
  /*margin-left: 40%;*/
}
.inner.cover {
  margin-top: -15%;
}
.inner.cover {
  margin-top: -15%;
}

.cover {
  padding: 0 1.5rem;
  margin-left: 55%;
  /*margin-right: 50%: */
}
.cover .btn-lg {
  /*padding: .75rem 1.25rem;*/
  margin-top: 1.25rem;
}

#coverBtnLink {
  font-weight: 400;
/*  font-size: 2rem;*/
  font-size: 1.6rem;
}

.cover-heading {
  margin: 0%;
  text-indent: -28px;
  padding-left: 28px;
/*  text-transform: uppercase;*/
  font-weight: 400;
/*  font-size: 2rem;*/
  font-size: 1.6rem;
	/*line-height: 80%;*/
}

.re-something {
	color:var(--highlightsA);
	text-transform: uppercase;
    font-weight: 800;
/*    font-size: 2.5rem;*/
    font-size: 2rem;
    letter-spacing: 2px;
}

.lookslikeembed {
	color:black;
	background-color: rgb(240,240,240);
	padding-left: 5px;
	padding-bottom: 10px;
	margin-bottom: -10px;
}

/*
.btn-lg:hover {
  background-color: transparent;
  color: var(--navText);
}
*/

/*
 * Footer
 */
.mastfoot {
  color: var(--textA);
}



#bigUpperBox {     /*this is the one with the picture*/
  background-size: 100% auto;
  padding-top: 1rem;
/*  margin-top: 7rem;*/
}

#coverButton {
  margin-top: 2rem;
}


/*social icons way at bottom*/
.fadiv .fa {
  padding: 20px;
  font-size: 30px;
  width: 50px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  color: #1864CC;
}

.fa:hover {
  color: #FFAF00;
  text-decoration: none;
}

/*
#coverBtnLink{
  text-indent: -28px;
  padding-left: 28px;
}
*/


/*
 * Custom translucent site header
 */

/*
.site-header {
  background-color: rgba(0, 0, 0, .85);
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  backdrop-filter: saturate(180%) blur(20px);
}
.site-header a {
  color: #999;
  transition: ease-in-out color .15s;
}
.site-header a:hover {
  color: var(--textOne);
  text-decoration: none;
}
*/

/*
 * Dummy devices (replace them with your own or something else entirely!)
 */

/*
.product-device {
  position: absolute;
  right: 10%;
  bottom: -30%;
  width: 300px;
  height: 540px;
  background-color: #333;
  border-radius: 21px;
  -webkit-transform: rotate(30deg);
  transform: rotate(30deg);
}

.product-device::before {
  position: absolute;
  top: 10%;
  right: 10px;
  bottom: 10%;
  left: 10px;
  content: "";
  background-color: rgba(255, 255, 255, .1);
  border-radius: 5px;
}

.product-device-2 {
  top: -25%;
  right: auto;
  bottom: 0;
  left: 5%;
  background-color: #e5e5e5;
}
*/

#topText {
  padding-top:5rem;
}

/*
 * Extra utilities
 */

.border-top { border-top: 1px solid #e5e5e5; }
.border-bottom { border-bottom: 1px solid #e5e5e5; }

.box-shadow { box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05); }

.flex-equal > * {
  -ms-flex: 1;
  -webkit-box-flex: 1;
  flex: 1;
}
@media (min-width: 768px) {
  .flex-md-equal > * {
    -ms-flex: 1;
    -webkit-box-flex: 1;
    flex: 1;
  }
}

.overflow-hidden { overflow: hidden; }
